@media screen and (max-width: 1023px){

.fullscreenmenu {
	position: fixed;
	z-index: 1000;
	top: 0;
	right: 0;
}

/*sp-naviコンテンツ*/
.sp-navi {
	position: fixed;
	top: 0;
	right: 0;
	display: flex;
	visibility: hidden;
	overflow: hidden;
	width: 100%;
	height: 100%;
	pointer-events: none;
	outline: 1px solid transparent;
	backface-visibility: hidden;
	align-items: center;
	justify-content: center;
}
.sp-navi div {
	display: flex;
	overflow: hidden;
	width: 300vw;
	height: 300vw;
	transition: all 0.4s ease;
	transform: scale(0);
	text-align: center;
	color: #fff;
	border-radius: 50%;
	background-color: rgba(217,232,239,0.7);
	backdrop-filter: blur(5px);

	flex: none;
	backface-visibility: hidden;
	align-items: center;
	justify-content: center;
}
.sp-navi div ul {
	display: block;
	max-height: 100vh;
	margin: 0;
	padding: 0;
	list-style: none;
	transition: opacity 0.4s ease;
	opacity: 0;
}
.sp-navi ul li {
	font-size: 1.6rem;
	margin-bottom: 5px;
}
.sp-navi div ul li a {
	position: relative;
	display: block;
	cursor: pointer;
	color: #333;
	background-color: #fff;
	padding: 10px 80px;
	border-radius: 10px;
	filter: drop-shadow(0px 0px 6px rgba(0,0,0,0.05));
}
.sp-navi div ul li a:hover {
	color: #fff;
	background-color: #295A70;
}


/*トグル*/
.toggle {
	position: absolute;
	z-index: 2;
	top: 0;
	right: 0;
	width: 60px;
	height: 60px;
	cursor: pointer;
	opacity: 0;
}
.toggle:checked + .hamburger > span {
	transform: rotate(135deg);
}
.toggle:checked + .hamburger > span:before,
.toggle:checked + .hamburger > span:after {
	top: 0;
	transform: rotate(90deg);
}
.toggle:checked + .hamburger > span:after {
	opacity: 0;
}
.toggle:checked ~ .sp-navi {
	visibility: visible;
	pointer-events: auto;
}
.toggle:checked ~ .sp-navi > div {
	transition-duration: 0.75s;
	 transform: scale(1);
}
.toggle:checked ~ .sp-navi > div > ul {
	opacity: 1;
}
.toggle:hover + .hamburger {
	box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.1);
}
.toggle:checked:hover + .hamburger > span {
	 transform: rotate(225deg);
}

/*ハンバーガー*/
.hamburger {
	position: fixed;
	z-index: 1;
	top: 10px;
	right: 10px;
	display: block;
	width: 50px;
	height: 50px;
	box-sizing: border-box;
	padding: 0.5em 0.75em;
	cursor: pointer;
	transition: box-shadow 0.4s ease;
	border-radius: 6px;
	background: rgba(255,255,255 ,0);
	backface-visibility: hidden;
}
.hamburger span {
	position: relative;
	top: 50%;
	display: block;
	width: 100%;
	height: 2px;
	transition: all 0.4s ease;
	background: #295A70;
}
.hamburger span:before,
.hamburger span:after {
	position: absolute;
	z-index: 1;
	top: -10px;
	left: 0;
	display: block;
	width: 100%;
	height: 2px;
	content: '';
	transition: all 0.4s ease;
	background: inherit;
}
.hamburger span:after {
	top: 10px;
}

}